import java.lang
import os
import sys
import re

# braindead but maybe good enough?
def get_user_data_dir(appname):
	platform = java.lang.System.getProperty('os.name')
	if re.search('windows', platform, re.I):
		return os.path.join(java.lang.System.getProperty('user.home'), appname)
	elif re.search('mac os x', platform, re.I):
		return os.path.join(os.path.expanduser('~/Library/Application Support/'),
				appname)
	else:
		return os.path.join(
				os.getenv('XDG_CONFIG_HOME', os.path.expanduser("~/.config")),
				appname.lower())

